#include<bits/stdc++.h>
using namespace std;
#define ll long long 
const int N=1005;
const int MOD=998244353;
int n,m;
int e[N][N];
int nxt[N],h[N],to[N],tot;
int u[N];
void add(int a,int b){
	nxt[++tot]=h[a];
	to[tot]=b;
	h[a]=tot;
	u[tot]=1;
}
int v[N]
int main(){
	freopen("barrack.in","r",stdin);freopen("barrack.out","w",stdout);
	scanf("%d%d",&n,&m);
	for(int i=1;i<=m;i++){
		int a,b;
		scanf("%d%d",&a,&b);
		add(a,b);
		add(b,a);
	}
	for(int i=1;i<(1<<n);i++){

	}
	return 0;
}